Bug 1478064 - Review Request: nuvola-app-logitech-media-server - Logitech Media Server for Nuvola Player 3
Review Request: nuvola-app-logitech-media-server - Logitech Media Server for ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 09:59 EDT by mgansser@alice.de
Modified: 2017-08-25 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-25 05:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description mgansser@alice.de 2017-08-03 09:59:18 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvola-app-logitech-media-server.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvola-app-logitech-media-server-2.2-1.fc26.src.rpm

Description: Integration of Logitech Media Server into your linux desktop via Nuvola Player.

Fedora Account System Username: martinkg

%changelog
* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.2-1
- initial build


rpmlint -i -v nuvola-app-logitech-media-server.spec /home/martin/rpmbuild/SRPMS/nuvola-app-logitech-media-server-2.2-1.fc26.src.rpm /home/martin/rpmbuild/RPMS/noarch/nuvola-app-logitech-media-server-2.2-1.fc26.noarch.rpm
nuvola-app-logitech-media-server.spec: I: checking
nuvola-app-logitech-media-server.spec:29: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-logitech-media-server.spec: I: checking-url https://github.com/tiliado/nuvola-app-logitech-media-server/archive/2.2.tar.gz#/nuvola-app-logitech-media-server-2.2.tar.gz (timeout 10 seconds)
nuvola-app-logitech-media-server.src: I: checking
nuvola-app-logitech-media-server.src: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-logitech-media-server.src: I: checking-url https://github.com/tiliado/nuvola-app-logitech-media-server (timeout 10 seconds)
nuvola-app-logitech-media-server.src:29: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-logitech-media-server.src: I: checking-url https://github.com/tiliado/nuvola-app-logitech-media-server/archive/2.2.tar.gz#/nuvola-app-logitech-media-server-2.2.tar.gz (timeout 10 seconds)
nuvola-app-logitech-media-server.noarch: I: checking
nuvola-app-logitech-media-server.noarch: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-logitech-media-server.noarch: I: checking-url https://github.com/tiliado/nuvola-app-logitech-media-server (timeout 10 seconds)
nuvola-app-logitech-media-server.noarch: W: desktopfile-without-binary /usr/share/applications/eu.tiliado.NuvolaAppLogitechMediaServer.desktop nuvola
the .desktop file is for a file not present in the package. You should check
the requires or see if this is not a error

2 packages and 1 specfiles checked; 0 errors, 5 warnings.
Comment 1 Vít Ondruch 2017-08-24 01:31:18 EDT
I'll take this for a review.
Comment 2 Vít Ondruch 2017-08-24 01:45:47 EDT
It seems that all the issues mentioned in nuvola-app-jupiter-broadcasting review [1] applies to this package as well. But these are just minor nits => APPROVED. Please fix the issues prior importing into Fedora.


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1483963#c1
Comment 3 mgansser@alice.de 2017-08-24 02:34:29 EDT
(In reply to Vít Ondruch from comment #2)
> It seems that all the issues mentioned in nuvola-app-jupiter-broadcasting
> review [1] applies to this package as well. But these are just minor nits =>
> APPROVED. Please fix the issues prior importing into Fedora.
> 
> 
> [1] https://bugzilla.redhat.com/show_bug.cgi?id=1483963#c1

changes done.

Thanks for your review.
Comment 4 Gwyn Ciesla 2017-08-24 08:13:59 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nuvola-app-logitech-media-server
Comment 5 mgansser@alice.de 2017-08-25 05:08:16 EDT
package has been built successfully on f25, f26, f27 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.